package test

import (
	"cicv-data-closedloop/common/util"
	"cicv-data-closedloop/tools/plugin-compile/package/config"
	"fmt"
	"testing"
)

func TestCompareSize(t *testing.T) {
	config.InitOss(true)
	// 1 下载oss文件到本地
	err := config.OssBucket.GetObjectToFile("1709907833304/demo.py", "D:\\demo.py")
	if err != nil {
		panic(err)
	}
	// 2 获取oss的Content-Type文件大小
	size, _ := util.GetOSSFileSize(config.OssBucket, "1709907833304/demo.py")
	fmt.Println("云上文件大小为", size)
	// 3 获取本地文件大小
	fileSize, err := util.GetFileSize("D:\\demo.py")
	fmt.Println("本地文件大小为", fileSize)
	// 4 比较大小
}
