package main

import (
	"cicv-data-closedloop/kinglong_msgs"
	"fmt"
)

func Topic() string {
	return "/fault_info"
}

// 禁止存在下划线_
func Label() string {
	return "ErrorCode"
}

func Rule(data *kinglong_msgs.FaultVec) string {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()
	for _, infoVec := range data.InfoVec {
		if infoVec.ErrorCode != 0 {
			return Label()
		}
	}
	return ""
}
