package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"fmt"
)

func Topic() string {
	return "/pj_control_pub"
}

// 禁止存在下划线_
func Label() string {
	return "AEB"
}

func Rule(data *pjisuv_msgs.CommonVehicleCmd) string {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()
	if data.ICPVCmdBrkPelPosActInv >= 90 {
		return Label()
	}
	return ""
}
