package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/std_msgs"
)

type Frame struct {
	msg.Package `ros:"can_msgs"`
	Header      std_msgs.Header
	Id          uint32
	IsRtr       bool
	IsExtended  bool
	IsError     bool
	Dlc         uint8
	Data        [8]uint8
}
