package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/std_msgs"
)

type VehicleFdb struct {
	msg.Package         `ros:"control_msgs"`
	Header              std_msgs.Header
	CurGear             float64
	SteeringWheelAngle  float64
	SteeringWheelRotDir float64
	SteeringWheelRotSpd float64
	AccPed1             float64
	AccPed2             float64
	Automode            int16 `rosname:"Automode"`
	AutomodeOrig        int16 `rosname:"Automode_orig"`
	FlagCanReadSuccess  int16
	VcuRealSpeed        float64
	ParkLampState       int16
}
