package pjisuv_msgs

import (
	"github.com/bluenviron/goroslib/v2/pkg/msg"
	"github.com/bluenviron/goroslib/v2/pkg/msgs/geometry_msgs"
)

type Route struct {
	msg.Package          `ros:"route_engine"`
	Start                geometry_msgs.Point   `rosname:"start"`
	Destination          geometry_msgs.Point   `rosname:"destination"`
	Path                 []geometry_msgs.Point `rosname:"path"`
	Ids                  []string              `rosname:"ids"`
	StartPointAcceptTime float64               `rosname:"start_point_accept_time"`
	IsSuccess            bool                  `rosname:"isSuccess"`
}
