package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"fmt"
	"sync"
)

func Topic() string {
	return "/cicv_location"
}

// Label todo 禁止存在下划线_
func Label() string {
	return "EnterTjunction"
}

func Rule(shareVars *sync.Map, data *pjisuv_msgs.PerceptionLocalization) string {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()
	EnterJunctionFlag, ok := shareVars.Load("EnterJunctionFlag")
	AbsSpeed, ok1 := shareVars.Load("AbsSpeed")

	if ok && ok1 && EnterJunctionFlag.(bool) == true && AbsSpeed.(float64) >= 1 {
		return Label()

	}

	return ""
}
