package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"fmt"
	"sync"
)

/*
def callback_pj_vehicle_fdb_pub(data):
    global pre_Automode_stat_flag
    if data.Automode==0 and pre_Automode_stat_flag==1:
        event_label='DriverTakeOver'    #人工接管
        print(event_label)
    pre_Automode_stat_flag=data.Automode


*/

func Topic() string {
	return "/pj_vehicle_fdb_pub"
}

func Label() string {
	return "DriverTakeOver"
}

func Rule(shareVars *sync.Map, data *pjisuv_msgs.VehicleFdb) string {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()
	automodeOfPjVehicleFdbPub, ok := shareVars.Load("AutomodeOfPjVehicleFdbPub")
	if ok {
		if data.Automode == 0 && automodeOfPjVehicleFdbPub.(int16) == 1 {
			return Label()
		}
	}
	return ""
}
